package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.MeetingPerson;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MeetingPersonDAO {
	int insert(MeetingPerson entity);
	int update(MeetingPerson entity);
	int exist(String id);
	MeetingPerson get(String id);
	int delete(String id);
	List<MeetingPerson> list();
	List<MeetingPerson> findByMeetingId(String meetingId);
	MeetingPerson findByMeetingIdAndPersonId(@Param("meetingId") String meetingId, @Param("personId")Long personId);
	List<MeetingPerson> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<Map> realToSearch(Map<String, Object> searchParams, List<Sort> sortList);
	List<MeetingPerson> absentSearch(Map<String, Object> searchParams, List<Sort> sortList);
	List<Map> lateSearch(Map<String, Object> searchParams, List<Sort> sortList);
    int deleteByMeetingId(String meetingId);
}